---
title: getConfiguration()
slug: Web/API/MediaKeySystemAccess/getConfiguration
tags:
  - API
  - Audio
  - EncryptedMediaExtensions
  - Media
  - MediaKeySystemAccess
  - Method
  - NeedsExample
  - Reference
  - Video
  - getConfiguration
---
<div>{{APIRef("EncryptedMediaExtensions")}}{{SeeCompatTable}}</div>

<p>The <code>MediaKeySystemAccess.getConfiguration()</code> method returns a {{domxref('MediaKeySystemConfiguration')}} object with the supported combination of configuration options.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>mediaKeySystemConfiguration</var> = <var>mediaKeySystemAccess</var>.getConfiguration();</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME', '#dom-mediakeysystemaccess-getconfiguration', 'getConfiguration()')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeySystemAccess.getConfiguration")}}</p>
</div>
